svn commit: samba r10527 - in branches/SAMBA_4_0/source/script: .

tridge at samba.org tridge at samba.org
Tue Sep 27 07:11:34 GMT 2005


Author: tridge
Date: 2005-09-27 07:11:33 +0000 (Tue, 27 Sep 2005)
New Revision: 10527

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=10527

Log:

don't attempt self gdb attach if running under valgrind. This was
causing fort to get rather unhappy


Modified:
   branches/SAMBA_4_0/source/script/gdb_backtrace


Changeset:
Modified: branches/SAMBA_4_0/source/script/gdb_backtrace
===================================================================
--- branches/SAMBA_4_0/source/script/gdb_backtrace	2005-09-27 05:11:14 UTC (rev 10526)
+++ branches/SAMBA_4_0/source/script/gdb_backtrace	2005-09-27 07:11:33 UTC (rev 10527)
@@ -1,5 +1,10 @@
 #!/bin/sh
 
+if [ -n "$VALGRIND" -o -n "$SMBD_VALGRIND" ]; then
+    echo "Not running gdb under valgrind"
+    exit 1
+fi
+
 # we want everything on stderr, so the program is not disturbed
 exec 1>&2
 



More information about the samba-cvs mailing list